Description

Supportanfrage

kann es sein, dass es einen Bug mit dem Harddisk-Recorder gibt, wenn die queue-mode file-based verwendet wird, ist etwas

bekannt?

D.h. aufgenommene Sequenzen können zwar mit dem Tool "Show DAT file Info" geöffnet werden aber "create new DAT file"

scheitert, auch gibt es Probleme mit dem Dat-Exporter:

 image005.jpg 

Wenn man das entsprechende Property von file-based auf memory based stellt (mit history und follow time, also ein triggered

recording), dann treten die obigen Fehler nicht auf. Auch tritt dieses Verhalten bei der Option Continuous Mode file based nicht auf.

P.S.: Aus Performancegründen habe wir bewusst die Option file-based gewählt.

ADTF 2.13.2 64Bit.

Danke und viele Grüße

Lösung

Ja, das ist ein Known Problem der 2.13.2 und genau einer der Gründe für ADTF 2.13.3, siehe Change Log.

History

#1 - 2018-11-19 14:38 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

- Topic set to ADTF::DAT

- Customer set to DAIMLER

- Affected Products ADTF 2.13.2 added

#2 - 2018-11-19 14:40 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

Hallo Christian,

ja, das ist ein Known Problem der 2.13.2 und genau einer der Gründe für ADTF 2.13.3, siehe Change Log.

#3 - 2018-11-19 15:00 - hidden

Hallo,
richtig gut, d.h. es empfiehlt sich, 2.13.3 zu verwenden, sind ggf. spezifische Probleme bekannt, die man sich bei der Migration auf 2.13.3 von 2.13.2

einfängt? Leider habe ich das Logfile gerade nicht zur hand.

Danke und viele Grüße

Christian

#4 - 2018-11-19 15:04 - hidden

Hallo Christian,

nein, grundsätzlich rate ich immer zur aktuelleren Patch-Version, sofern es das Projekt und die Toolchain hergeben.

Dabei ist auch nichts zu befürchten, ADTF ist binär-, code- und abwärtskompatibel, d.h. ihr könnt eure hauseigenen Komponenten und Setups auch

in höheren Versionen verwenden.

Sofern ihr keinerlei Einschränkung habt, rate ich euch sogar zur 2.14.2 (es kommt auch eine 2.14.3 demnächst).

Das sind reine Patchversionen und die 2.14.x ist eigentlich nur wegen der Entwicklerlizenz und Support bei Digitalwerk entstanden, ansonsten als

2.13.x anzusehen.

#5 - 2018-11-20 12:30 - hidden

Alles klar, danke für die Infos.

Das Ticket kann geschlossen werden.

Viele Grüße

Christian

#6 - 2018-11-20 13:21 - hidden

- Subject changed from Triggered recording mit file-based history to Datexporter can not handle streams recorded with file based history

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

Und zu.

PS: Zweiten Screenshot entfernt, damit das Ticket zu 100% öffentlich gemacht werden kann

#7 - 2018-11-20 13:21 - hidden

- Project changed from 9 to Public Support

- Status changed from To Be Closed to Closed
